import axios from '../http'

export default {
  // 获取游戏信息
  getInfo(params) {
    return axios.get('baccarat/gameInfo', { params })
  },
  //查询游戏结果
  getResult(params) {
    return axios.get('baccarat/gameResult', { params })
  },
  //上报交易id
  sendTrxId(params) {
    return axios.post('baccarat/transaction', params)
  },
  //获取自动下注设置
  getSetup(params) {
    return axios.get('autobet/getsetup', { params })
  },
  //开始自动下注
  setAutoBet(params) {
    return axios.post('autobet/setup', params)
  },
  // 停止自动下注
  stopAutoBet(params) {
    return axios.post('autobet/ctrl', params)
  },
  //余额下注
  balanceBet(params) {
    return axios.post('baccarat/balanceBet', params)
  },
  /**
   * 获取用户充值数据
   */
  getBalance(params) {
    return axios.get('baccarat/gameInfo', { params })
  }
}
